IoT Greengrass 依赖检查器无法识别 Java8

0

【以下的问题经过翻译处理】 我准备在树莓派3上安装AWS Greengrass Core。我按照https://docs.aws.amazon.com/greengrass/v1/developerguide/module1.html的说明操作。运行sudo ./check_ggc_dependencies | more时,检查器报错未安装Java 8,但我之前已经运行了sudo apt install openjdk-8-jdk。我尝试了各种方法,如将JAVA_HOME添加到/etc/environment、重命名二进制文件等,但都没有成功。有人有什么好的建议吗?

profile picture
专家
已提问 6 个月前36 查看次数
1 回答
0

【以下的回答经过翻译处理】 你好 Marco,

请注意,你正在使用Greengrass V1依赖检查器。你不应该在设备上安装Greengrass V1,因为这个版本已经停产。请安装Greengrass V2,并使用以下测试工具:https://docs.aws.amazon.com/greengrass/v2/developerguide/device-tester-for-greengrass-ug.html

祝好,

Massimiliano

profile picture
专家
已回答 6 个月前

您未登录。 登录 发布回答。

一个好的回答可以清楚地解答问题和提供建设性反馈,并能促进提问者的职业发展。

回答问题的准则